import PIL
from PIL import Image, ImageOps, ImageFilter, ImageDraw
from lib import *

with Image.open("data/jagoda_002.jpg") as img1:
    img1.load()

with Image.open("data/muva_mini_250_200.jpg") as img2:
    img2.load()

img2 = img2.crop( (75,50,175,123) )
# napravimo masku na osnovu crvenog kanala
r,g,b = img2.split()
mask = ImageOps.invert( threshold( r, 140 ))

# napravimo dodatne maske primenom zamucenja
bmask1 = mask.filter( ImageFilter.BoxBlur(1) )
bmask3 = mask.filter( ImageFilter.BoxBlur(3) )
bmask5 = mask.filter( ImageFilter.BoxBlur(5) )
tile( img2, r, mask, bmask1, bmask3, bmask5 ).show()
input("Press any key to continue...")

# primenimo razlicite maske
img = img1.copy()
for i in [ 0, 50, 100 ]:
    img.paste( img2, (i,i), mask=mask )

bimg1 = img1.copy()
for i in [ 0, 50, 100 ]:
    bimg1.paste( img2, (i,i), mask=bmask1 )

bimg3 = img1.copy()
for i in [ 0, 50, 100 ]:
    bimg3.paste( img2, (i,i), mask=bmask3 )

bimg5 = img1.copy()
for i in [ 0, 50, 100 ]:
    bimg5.paste( img2, (i,i), mask=bmask5 )

tile( img1, img2, img, bimg1, bimg3, bimg5 ).show()
input("Press any key to continue...")

# napravimo maske tako da zamucenje ide samo na unutra
# dok se van maske ostavlja originalni intenzitet
bmaskd = PIL.ImageChops.darker( mask, bmask5 )
bmaskd2 = PIL.ImageChops.darker( bmask1, bmask5 )
tile( img2, r, mask, bmask1, bmask3, bmask5, bmaskd, bmaskd2 ).show()
input("Press any key to continue...")

dimg5 = img1.copy()
for i in [ 0, 50, 100 ]:
    dimg5.paste( img2, (i,i), mask=bmaskd )

d2img5 = img1.copy()
for i in [ 0, 50, 100 ]:
    d2img5.paste( img2, (i,i), mask=bmaskd2 )

tile( img1, img2, img, bimg1, bimg3, bimg5, dimg5, d2img5 ).show()
