import drawsvg as dw
import math
from lib import *

def rgb(r,g,b):
    result="rgb({},{},{})".format(r,g,b)
    return result

colors = []
ncolors = 17
r, g, b = 50, 200, 100
for i in range(ncolors):
    r = (r + 20) % 256
    g = (g + 30) % 256
    b = (b + 50) % 256
    colors.append( rgb(r,g,b) )

d = dw.Drawing( 800, 800, origin=(-400, -400) )
d.append( dw.Rectangle( -400, -400, 800, 800, fill='white' ))
for i in range( 0, 360, 5 ):
    x = 300 * math.cos( i/360 * 2 * math.pi )
    y = 300 * math.sin( i/360 * 2 * math.pi )
    d.append( dw.Circle(x,y,30, fill=colors[i % ncolors] ))
d.append( dw.Text( "Zdravo!!!", font_size=40, x=-50, y=0) )

# Sacuvamo i konvertujemo u PNG
write_svg_to_file( d, 'my.svg' )
inkscape_convert_svg_to_png( 'my.svg', 'my.png' )

# Procitamo i prikazemo bitmapu
with Image.open( 'my.png' ) as img:
    img.load()
    img.show()
